Bug 22326 - cannot compile using qt-1.45 (see bug 22324)
cannot compile using qt-1.45 (see bug 22324)
Product: Red Hat Linux
Classification: Retired
Component: qt1x (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Depends On:
  Show dependency treegraph
Reported: 2000-12-14 22:17 EST by j. alan eldridge
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-12-14 22:17:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description j. alan eldridge 2000-12-14 22:17:27 EST
g++ does not ignore operator keywords during preprocessing. e.g.,

make[2]: Entering directory `/usr/local/src/cervisia-1.0beta1/src'
g++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/include/kde
-I/usr/lib/qt-1.45/include -I/usr/X11R6/include     -O2 -fno-operator-names
-fno-exceptions -fno-check-new -c toplevel.cpp
In file included from /usr/lib/qt-1.45/include/qpainter.h:33,
                 from /usr/lib/qt-1.45/include/qdrawutil.h:28,
                 from /usr/lib/qt-1.45/include/qscrollbar.h:30,
                 from /usr/lib/qt-1.45/include/qscrollview.h:28,
                 from /usr/lib/qt-1.45/include/qlistview.h:37,
                 from logdlg.h:20,
                 from toplevel.cpp:42:
/usr/lib/qt-1.45/include/qregion.h:73:182: "defined" without an identifier
make[2]: *** [toplevel.o] Error 1
make[2]: Leaving directory `/usr/local/src/cervisia-1.0beta1/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/local/src/cervisia-1.0beta1'
make: *** [all-recursive-am] Error 2

the offending code section from qregion.h:
// We also hide the xor() function if there is a #define for xor, in
// case someone is using #define xor ^ to work around deficiencies in
// their compiler that cause problems with some other header files.
#if !(defined(__STRICT_ANSI__) && defined(_CC_GNU_)) && !defined(_CC_EDG_)
&& !defined(_CC_HP_) && !defined(_CC_HP_ACC_) && !defined(_CC_USLC_) &&
!defined(_CC_MWERKS_) && !defined(xor)
    QRegion xor( const QRegion & )      const;
    QRegion eor( const QRegion & )      const;

so. looks like redhat did *not* use the shipping compiler with shipping
qt1x-devel to compile anything that actually uses qt-1.45. is there another
Comment 1 Ngo Than 2000-12-15 04:38:10 EST
It's fixed in qt1x-1.45-12. You will find it in rawhide.

Note You need to log in before you can comment on or make changes to this bug.